Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 716423002: ES6 unicode extensions, part 1. (Closed)

Created:
4 years, 8 months ago by marja
Modified:
4 years, 7 months ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Project:
v8
Visibility:
Public.

Description

ES6 unicode extensions, part 1. Allows \u{xxxxx} in variable names and string literals (not yet in regexps). Everything's behind the --harmony-unicode flag. BUG=

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Total comments: 5

Patch Set 4 : rebased #

Patch Set 5 : add tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+164 lines, -14 lines) Patch
M src/bootstrapper.cc View 1 2 3 3 chunks +3 lines, -0 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 1 chunk +11 lines, -10 lines 0 comments Download
M src/parser.cc View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M src/preparser.h View 1 2 3 2 chunks +4 lines, -0 lines 0 comments Download
M src/scanner.h View 1 2 3 4 chunks +10 lines, -0 lines 0 comments Download
M src/scanner.cc View 1 2 3 4 chunks +39 lines, -2 lines 0 comments Download
M test/cctest/test-parsing.cc View 1 2 3 4 4 chunks +49 lines, -2 lines 0 comments Download
A test/mjsunit/harmony/unicode-escapes.js View 1 chunk +46 lines, -0 lines 0 comments Download

Messages

Total messages: 13 (2 generated)
marja
ptal
4 years, 8 months ago (2014-11-13 11:54:03 UTC) #2
caitp (gmail)
lgtm lgtm https://codereview.chromium.org/716423002/diff/40001/src/scanner.cc File src/scanner.cc (right): https://codereview.chromium.org/716423002/diff/40001/src/scanner.cc#newcode83 src/scanner.cc:83: if (x > max_value) return -1; I ...
4 years, 8 months ago (2014-11-13 15:09:18 UTC) #3
caitp (gmail)
lgtm lgtm
4 years, 8 months ago (2014-11-13 15:09:20 UTC) #4
marja
(Thanks for having a look) https://codereview.chromium.org/716423002/diff/40001/test/cctest/test-parsing.cc File test/cctest/test-parsing.cc (right): https://codereview.chromium.org/716423002/diff/40001/test/cctest/test-parsing.cc#newcode4322 test/cctest/test-parsing.cc:4322: "var foob\\u{c481r = 0;", ...
4 years, 8 months ago (2014-11-13 15:18:05 UTC) #5
caitp (gmail)
On 2014/11/13 15:18:05, marja wrote: > (Thanks for having a look) > > https://codereview.chromium.org/716423002/diff/40001/test/cctest/test-parsing.cc > ...
4 years, 8 months ago (2014-11-13 15:29:48 UTC) #6
arv (Not doing code reviews)
LGTM
4 years, 8 months ago (2014-11-13 18:44:26 UTC) #7
mathias
lgtm
4 years, 8 months ago (2014-11-14 08:50:10 UTC) #8
rossberg
lgtm https://codereview.chromium.org/716423002/diff/40001/src/scanner.cc File src/scanner.cc (right): https://codereview.chromium.org/716423002/diff/40001/src/scanner.cc#newcode83 src/scanner.cc:83: if (x > max_value) return -1; On 2014/11/13 ...
4 years, 8 months ago (2014-11-14 09:59:08 UTC) #9
marja
https://codereview.chromium.org/716423002/diff/40001/test/cctest/test-parsing.cc File test/cctest/test-parsing.cc (right): https://codereview.chromium.org/716423002/diff/40001/test/cctest/test-parsing.cc#newcode4322 test/cctest/test-parsing.cc:4322: "var foob\\u{c481r = 0;", On 2014/11/13 15:09:18, caitp wrote: ...
4 years, 7 months ago (2014-12-02 10:26:20 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/716423002/80001
4 years, 7 months ago (2014-12-02 10:27:06 UTC) #12
commit-bot: I haz the power
4 years, 7 months ago (2014-12-02 10:58:15 UTC) #13
Message was sent while issue was closed.
Committed patchset #5 (id:80001)

Powered by Google App Engine
This is Rietveld 408576698